ChiliProject - Bug # 305: Toolbar for textile edit fields is buggy in IE8

Status: Closed Priority: Normal
Author: Stephan Eckardt Category: User interface
Created: 2011-03-24 Assignee:

Updated: 2011-03-25 Due date:

Remote issue URL:

Affected version:

Description: Above text fields which support rich text editing using textile markup (like the one for creating a new issue)
there is a toolbar (jstoolbar.js) which contains buttons for inserting textile markup like bold, italic, h1, h2. etc. In
Internet Explorer 8 these buttons do not work as expected. l.e. after using one of these buttons the caret and
the scrolling inside the textarea is at an unreasonable position.

History

2011-03-24 06:53 pm - Stephan Eckardt
Pull request: https://github.com/chiliproject/chiliproject/pull/32

2011-03-24 08:24 pm - Eric Davis

Thanks. Anyone have easy access to IE8 to test this?
2011-03-25 04:03 pm - Felix Schafer

Eric Davis wrote:

> Thanks. Anyone have easy access to IE8 to test this?

Just remembered | have a VM lying around with IE8 on it, I'll give it a shot.

2011-03-25 04:30 pm - Felix Schafer
- Target version set to 1.2.0

- Status changed from Ready for review to Closed

Worked as advertised on IE8/WinXP and Chrome/WinXP in the VM, merged in commit:8d6133f. This can go into version#6 too.
